.Net Core runtime and Emby

  • The problem is I got it running on old Libre 7.0.3 and I would like to stay on it ;) At leat Kodi on my iPad is connecting with server with no hassle :)

  • The problem is I got it running on old Libre 7.0.3 and I would like to stay on it ;) At leat Kodi on my iPad is connecting with server with no hassle :)

    LibreELEC 7.0.3 is EOL. You are on your own.

    Updating Emby will be limited by the version of Mono (4.2.1.102) shipped by LibreELEC 7.0.3.

    You could try with Docker.

    @

  • Hi.

    First, thank you @awiouy for the effort.
    I'm on LE9 on a rock64 (aarch64) device, and testing image.

    Unfortunatly, I think I'm missing the mono part.

    Any chance to find it somewhere?


    tools.dotnet-runtime reports

    ./le_dotnet: line 8: dotnet: not found

  • You are missing dotnet-runtime (not Mono).


    What is the output of ldd $(which dotnet)?

    @

  • Thank you for taking the time.

    which dotnet returns nothing. So ldd $(which dotnet) fails with ldd: $missing file arguments.


    But since you're talking about dotnet-runtime, it's indeed in /storage/.kodi/addons/tools.dotnet-runtime/bin/dotnet-runtime-2.1.2

    I guess it is the /storage/.kodi/addons/tools.dotnet-runtime/bin/dotnet script which fails.

    Bash
    #!/bin/sh
    # SPDX-License-Identifier: GPL-2.0-or-later
    # Copyright (C) 2018-present Team LibreELEC (https://libreelec.tv)
    . /etc/profile
    oe_setup_addon tools.dotnet-runtime
    DOTNET_SYSTEM_GLOBALIZATION_INVARIANT="1" \
    LD_LIBRARY_PATH="$ADDON_DIR/libs:$LD_LIBRARY_PATH" \
    dotnet "[email protected]"


    $PATH doesn't include /storage/.kodi/addons/tools.dotnet-runtime/bin/dotnet-runtime-2.1.2

    Code
    # echo $PATH
    /usr/bin:/usr/sbin:/storage/.kodi/addons/service.emby/bin:/storage/.kodi/addons/service.system.docker/bin:/storage/.kodi/addons/tools.dotnet-runtime/bin:/storage/.kodi/addons/tools.ffmpeg-tools/bin

    And I can see /storage/.kodi/addons/tools.dotnet-runtime/bin/dotnet-runtime-2.1.2/dotnet doesn't have execution set either.

    -rw-r--r-- 1 root root 76148 Sep 5 08:30 dotnet

  • A workaround is to soft link dotnet bin, and add execution. But I guess that's not the regular way.

    Code
    # chmod +x /storage/.kodi/addons/tools.dotnet-runtime/bin/dotnet-runtime-2.1.2/dotnet
    # ln -s /storage/.kodi/addons/tools.dotnet-runtime/bin/dotnet-runtime-2.1.2
    /dotnet /storage/.kodi/addons/tools.dotnet-runtime/bin
  • PATH includes /storage/.kodi/addons/tools.dotnet-runtime/bin ;)


    The question is now: is dotnet executable and if not, why?

    @

  • PATH includes /storage/.kodi/addons/tools.dotnet-runtime/bin ;)


    The question is now: is dotnet executable and if not, why?

    Yes. /storage/.kodi/addons/tools.dotnet-runtime/bin is indeed in PATH

    But /storage/.kodi/addons/tools.dotnet-runtime/bin/dotnet-runtime-2.1.2 doesn't.


    So, le_dotnet script can't find dotnet executable.

    Either add /dotnet-runtime-2.1.2 to le_dotnet script. Or add it to PATH

    Or that's behond my linux knowledge.


    And, no /storage/.kodi/addons/tools.dotnet-runtime/bin/dotnet-runtime-2.1.2/dotnet doesn't have execution permission by default when I installed addon.

  • hm...

    No idea why dotnet ends up in dotnet-runtme-2.1.2, it should be in /storage/.kodi/addons/tools.dotnet-runtime/bin.


    Move it there to fix you issue.

    @

  • A workaround is to soft link dotnet bin, and add execution. But I guess that's not the regular way.

    Code
    # chmod +x /storage/.kodi/addons/tools.dotnet-runtime/bin/dotnet-runtime-2.1.2/dotnet
    # ln -s /storage/.kodi/addons/tools.dotnet-runtime/bin/dotnet-runtime-2.1.2
    /dotnet /storage/.kodi/addons/tools.dotnet-runtime/bin

    I did it with soft link.
    Works pretty well once all in place.
    Way better than docker did, before it broke completely.

    Thank you again.

  • Hi awiouy! Is it possible to use emby with dotnet on 8.2.5 generic ? Server has updated to 3.2.34.0 but I still couldn't connect with mono.



    edit: Well it's working now with mono ;) Sorry awiouy! Just answer if dotnet can be used with 8.2.5 please :)

    Edited once, last by Borygo77 ().

  • Hi awiouy! Is it possible to use emby with dotnet on 8.2.5 generic ? Server has updated to 3.2.34.0 but I still couldn't connect with mono.



    edit: Well it's working now with mono ;) Sorry awiouy! Just answer if dotnet can be used with 8.2.5 please :)

    LibreELEC development has shifted from 8.2 to 9.0.


    .Net Core Runtime and Emby could be backported to LibreELEC 8.2,5, but it would take me more time to do that (backport, build, test, etc.) than for you to upgrade to LibreELEC 9.0.

    @

  • It seems Emby Server Addon not working after updated recently.


    Just checking if this is only me or anyone else experience this too?

  • It seems Emby Server Addon not working after updated recently.


    Just checking if this is only me or anyone else experience this too?

    No system information, no log (journalctl -u service.emby)


    How do you expect anyone to help you?

    @

  • No system information, no log (journalctl -u service.emby)


    How do you expect anyone to help you?

    Sorry for being not informative. I just saw above comments about .net issue and will try to correct the error.




    Edited: As I saw the log that it's about dotnet error. So I tried soft link method as mentioned in above comments. And It's running ok now.


    I will definitely provide log next time. Thanks.

    Edited once, last by pawnthep ().

  • Thank you for the feedback.

    I will try to fix the issue in the next revision

    @

  • Hi awiouy :) Just after updating to Libre 9 and got this. All plugins updated and works except emby :(

    Also there is no os.libreelec.tv installed in dependency list...

    Any help please ?